edu.sc.seis.sod.validator.model

## Class Choice

- java.lang.Object
- - edu.sc.seis.sod.validator.model.AbstractForm
  - - edu.sc.seis.sod.validator.model.AbstractMultigenitorForm
    - - edu.sc.seis.sod.validator.model.Choice

- All Implemented Interfaces:
    Form, FormProvider, MultigenitorForm

      public class Choice
      extends AbstractMultigenitorForm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Choice(int min, int max)`
    `Choice(int min, int max, Form parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Tourist v)`
    `FormProvider` | `copyWithNewParent(Form newParent)`

    - ### Methods inherited from class edu.sc.seis.sod.validator.model.AbstractMultigenitorForm

      `getAttributes, getChildren, getElementalChildren, isAncestorOf`

    - ### Methods inherited from class edu.sc.seis.sod.validator.model.AbstractForm

      `copyGutsOver, deref, getAnnotation, getDef, getForm, getMax, getMin, getNamespace, getParent, getXPath, isAncestorOf, isFromDef, setAnnotation, setMax, setMin, setNamespace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.validator.model.Form

      `deref, getAnnotation, getDef, getNamespace, getParent, getXPath, isAncestorOf, isFromDef`

    - ### Methods inherited from interface edu.sc.seis.sod.validator.model.FormProvider

      `getForm, getMax, getMin, setAnnotation, setMax, setMin`

- - ### Constructor Detail

    - #### Choice

          public Choice(int min,
                        int max)

    - #### Choice

          public Choice(int min,
                        int max,
                        Form parent)

  - ### Method Detail

    - #### copyWithNewParent

          public FormProvider copyWithNewParent(Form newParent)

    - #### accept

          public void accept(Tourist v)

      Specified by:
        `accept` in interface `Form`
      Overrides:
        `accept` in class `AbstractMultigenitorForm`